Skip to main content
GET
Volatility Statistics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

Comprehensive volatility statistics for a ticker on a specific date, including implied volatility data, realized volatility data, and their respective high/low values for the past year.

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

iv
string

The implied volatility value.

Example:

"0.25"

iv_high
string

The implied volatility value.

Example:

"0.25"

iv_low
string

The implied volatility value.

Example:

"0.25"

iv_rank
string

The IV rank value, which represents where current implied volatility stands relative to its historical range.

Example:

"0.65"

rv
string

The implied volatility value.

Example:

"0.25"

rv_high
string

The implied volatility value.

Example:

"0.25"

rv_low
string

The implied volatility value.

Example:

"0.25"

ticker
string

The stock ticker.

Example:

"AAPL"

Last modified on September 29, 2026